Bug 96481 - xf86-input-libinput provides for touchscreen axis labelling no "Abs MT Position X"
Summary: xf86-input-libinput provides for touchscreen axis labelling no "Abs MT Positi...
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/libinput (show other bugs)
Version: 7.7 (2012.06)
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Peter Hutterer
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-10 12:20 UTC by bernhardu
Modified: 2016-06-14 02:16 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bernhardu 2016-06-10 12:20:35 UTC
Qt5 versions before 5.6.0 are relying on axes existing
labelled "Abs MT Position X" for touch screens. [48279] [3]

This is currently visible in Debian testing as touch screen
events have no effect on Qt5 based applications when using
the xf86-input-libinput driver.
Other toolkit based applications work as expected.

See Debian bug [826830].
(Got closed as Qt5 version 5.6.1 is already worked on.)

The libinput driver provides: "Abs X" and Y, "Rel Horiz Scroll" and Vert.

The evdev driver for the same device provides: "Abs MT Position X" and Y.

Currently I know no other software relying on the MT labelling.

[826830] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=826830
[48279]  https://bugreports.qt.io/browse/QTBUG-48279
[3]      http://code.qt.io/cgit/qt/qtbase.git/commit/src/plugins/platforms/xcb/qxcbconnection_xi2.cpp?id=462f355e4fb16cc7a1838fa2dda0f763eee58c84

#define AXIS_LABEL_PROP_ABS_MT_POSITION_X  "Abs MT Position X"
#define ABS_MT_POSITION_X	0x35	/* Center X touch position */
Comment 1 Peter Hutterer 2016-06-12 23:37:30 UTC
https://patchwork.freedesktop.org/patch/92960/
Comment 2 Peter Hutterer 2016-06-14 02:16:14 UTC
commit ae4f0a8d72e396528e1108161a3bcc0132df43a2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 10 08:27:30 2016 +1000

    Init touch x/y axis labels as MT axis labels


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.